# Asterisk Project : Asterisk 12 Application_BackgroundDetect

Added by wikibot , edited by wikibot on Aug 29, 2013

# BackgroundDetect()

### Synopsis

Background a file with talk detect.

### Description

Plays back filename, waiting for interruption from a given digit (the digit must start the beginning of a valid extension, or it will be ignored). During the playback of the file, audio is monitored in the receive direction, and if a period of non-silence which is greater than min ms yet less than max ms is followed by silence for at least sil ms, which occurs during the first analysistime ms, then the audio playback is aborted and processing jumps to the talk extension, if available.

### Syntax

    BackgroundDetect(filename,sil,min,max,analysistime)

##### Arguments

- `filename`
- `sil` - If not specified, defaults to `1000`.
- `min` - If not specified, defaults to `100`.
- `max` - If not specified, defaults to `infinity`.
- `analysistime` - If not specified, defaults to `infinity`.

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown